import { Utils } from "./Utils";
import { Network } from "./client/Network";
import { Events } from "./client/Events";
import { Entity } from "./client/entity/Entity";
import { Ped } from "./client/entity/Ped";
import { Player } from "./client/entity/Player";
import { Blip } from "./client/hud/Blip";
import { Marker } from "./client/hud/Marker";
export declare abstract class Client {
    static Utils: typeof Utils;
    static Network: typeof Network;
    static Events: typeof Events;
    static Entity: typeof Entity;
    static Ped: typeof Ped;
    static Player: typeof Player;
    static Blip: typeof Blip;
    static Marker: typeof Marker;
}
