import { Vector3 } from "../../share/Vector3";
import { Rgba } from "../../share/Rgba";
export declare class Marker {
    location: Vector3;
    type: number;
    color: Rgba;
    direction: Vector3;
    rotation: Vector3;
    scale: Vector3;
    bobUpAndDown: boolean;
    rotate: boolean;
    enable: boolean;
    constructor(location: Vector3, { type, color, direction, rotation, scale, bobUpAndDown, rotate, enable }: {
        type: number;
        color: Rgba;
        direction: Vector3;
        rotation: Vector3;
        scale: Vector3;
        bobUpAndDown: boolean;
        rotate: boolean;
        enable: boolean;
    });
    GetLocation(): Vector3;
    Draw(): void;
}
